# -*- coding: utf-8 -*-
# Djamengo-specific urls
# Copyright (C) 2010  Sylvain Beucler
#
# This file is part of Djamengo.
# 
# Djamengo is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# 
# Djamengo is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Affero General Public License for more details.
# 
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
# 
# Author: Sylvain Beucler

import models as my_models

from django.contrib import databrowse
databrowse.site.register(my_models.Artist)
databrowse.site.register(my_models.Album)
databrowse.site.register(my_models.Track)
databrowse.site.register(my_models.Tag)
databrowse.site.register(my_models.TrackTag)

from django.conf.urls.defaults import *
urlpatterns = patterns('')

urlpatterns += patterns('',
    (r'^databrowse/(.*)', databrowse.site.root),
)
